Twilio.AspNet.Mvc 5.20.1

Twilio helpers for ASP.NET MVC versions 3 through 5.

Install-Package Twilio.AspNet.Mvc -Version 5.20.1
dotnet add package Twilio.AspNet.Mvc --version 5.20.1
paket add Twilio.AspNet.Mvc --version 5.20.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Twilio.AspNet

Build status

ASP.NET tools for use with v5.x of the Twilio helper library for use with:

  • ASP.NET MVC 3-5 on the .NET Framework
  • ASP.NET Core 1-2 on .NET Core

You only need this library if you wish to respond to Twilio webhooks for
voice calls and SMS messages. If you only need to use the Twilio REST API's,
then you only need the Twilio helper library.

Twilio.AspNet.Mvc

Requirements

Requires .NET 4.5.1 or later with ASP.NET MVC 3-5.

Installation

Install-Package Twilio.AspNet.Mvc

Twilio.AspNet.Core

Requirements

Requires .NET Core 1.0 or later with ASP.NET Core 1.0 or later.

Installation

Install-Package Twilio.AspNet.Core

Code Samples for Either Library

Incoming SMS

using Twilio.AspNet.Common;
using Twilio.AspNet.Mvc; // or .Core
using Twilio.TwiML;

namespace WebApplication23.Controllers
{
    public class SmsController : TwilioController
    {
        // GET: Sms
        public TwiMLResult Index(SmsRequest request)
        {
            var response = new MessagingResponse();
            response.Message(
                $"Hey there {request.From}! " +
                "How 'bout those Seahawks?"
            );
            return TwiML(response);
        }
    }
}

Incoming Voice Call

using Twilio.AspNet.Common;
using Twilio.AspNet.Mvc; // or .Core
using Twilio.TwiML;

namespace WebApplication23.Controllers
{
    public class VoiceController : TwilioController
    {
        // GET: Voice
        public TwiMLResult Index(VoiceRequest request)
        {
            var response = new VoiceResponse();
            response.Say($"Welcome. Are you from {request.FromCity}?");
            return TwiML(response);
        }
    }
}

Twilio.AspNet

Build status

ASP.NET tools for use with v5.x of the Twilio helper library for use with:

  • ASP.NET MVC 3-5 on the .NET Framework
  • ASP.NET Core 1-2 on .NET Core

You only need this library if you wish to respond to Twilio webhooks for
voice calls and SMS messages. If you only need to use the Twilio REST API's,
then you only need the Twilio helper library.

Twilio.AspNet.Mvc

Requirements

Requires .NET 4.5.1 or later with ASP.NET MVC 3-5.

Installation

Install-Package Twilio.AspNet.Mvc

Twilio.AspNet.Core

Requirements

Requires .NET Core 1.0 or later with ASP.NET Core 1.0 or later.

Installation

Install-Package Twilio.AspNet.Core

Code Samples for Either Library

Incoming SMS

using Twilio.AspNet.Common;
using Twilio.AspNet.Mvc; // or .Core
using Twilio.TwiML;

namespace WebApplication23.Controllers
{
    public class SmsController : TwilioController
    {
        // GET: Sms
        public TwiMLResult Index(SmsRequest request)
        {
            var response = new MessagingResponse();
            response.Message(
                $"Hey there {request.From}! " +
                "How 'bout those Seahawks?"
            );
            return TwiML(response);
        }
    }
}

Incoming Voice Call

using Twilio.AspNet.Common;
using Twilio.AspNet.Mvc; // or .Core
using Twilio.TwiML;

namespace WebApplication23.Controllers
{
    public class VoiceController : TwilioController
    {
        // GET: Voice
        public TwiMLResult Index(VoiceRequest request)
        {
            var response = new VoiceResponse();
            response.Say($"Welcome. Are you from {request.FromCity}?");
            return TwiML(response);
        }
    }
}

Release Notes

Broke out Twilio.AspNet.Common into separate package.

Version History

Version Downloads Last updated
5.20.1 14,477 10/26/2018
5.9.7 37,562 3/2/2018
5.9.6 2,332 2/12/2018
5.8.3 15,330 11/9/2017
5.8.1 3,313 10/31/2017
5.0.2 21,074 6/7/2017
5.0.1 23,411 2/22/2017